| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiPython.Bindings.iToolSvc Class Reference
Inheritance diagram for GaudiPython.Bindings.iToolSvc:
[legend]
Collaboration diagram for GaudiPython.Bindings.iToolSvc:
[legend]

## Public Member Functions
def | __init__ (self, name, its)
def | retrieve (self, name)
def | create (self, typ, name=None, parent=None, interface=None)
def | release (self, itool)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | __init__ (self, name, isvc=None)
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Public Attributes
| OutputLevel

## Private Member Functions
def | _retrieve (self, name, quiet=True)

## Detailed Description

Definition at line 773 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iToolSvc.__init__ | ( |  | self,
|  |  | name,
|  |  | its
| ) |  |

Definition at line 774 of file Bindings.py.

774 def __init__(self, name, its):
775 self.__dict__['_its'] = InterfaceCast(gbl.IToolSvc)(its)
776 iService.__init__(self, name, its)
777
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:93
GaudiPython.Bindings.iToolSvc.__init__
def __init__(self, name, its)
Definition: Bindings.py:774

## Member Function Documentation

def GaudiPython.Bindings.iToolSvc._retrieve | ( |  | self,
|  |  | name,
|  |  | quiet = `True`
| ) |  |
| private

Definition at line 778 of file Bindings.py.

778 def _retrieve(self, name, quiet=True):
779 sol = _gaudi.OutputLevel
780 if quiet:
781 self.OutputLevel = 6
782 if name.rfind('.') == -1:
783 itool = Helper.tool(self._its, '', name, None, False)
784 elif name[0:8] == 'ToolSvc.':
785 itool = Helper.tool(self._its, '', name[8:], None, False)
786 elif name.count('.') > 1:
787 ptool = self._retrieve(name[:name.rfind('.')])
788 itool = Helper.tool(
789 self._its, '', name[name.rfind('.') + 1:], ptool, False)
790 elif _gaudi:
791 prop = _gaudi.property(name[:name.rfind('.')])
792 itool = Helper.tool(
793 self._its, '', name[name.rfind('.') + 1:], prop._ip, False)
794 if quiet:
795 self.OutputLevel = sol
796 return itool
797
GaudiPython.Bindings.iToolSvc.OutputLevel
OutputLevel
Definition: Bindings.py:781
GaudiPython.Bindings.iToolSvc._retrieve
def _retrieve(self, name, quiet=True)
Definition: Bindings.py:778

def GaudiPython.Bindings.iToolSvc.create | ( |  | self,
|  |  | typ,
|  |  | name = `None`,
|  |  | parent = `None`,
|  |  | interface = `None`
| ) |  |

Definition at line 801 of file Bindings.py.

801 def create(self, typ, name=None, parent=None, interface=None):
802 if not name:
803 name = typ
804 itool = Helper.tool(self._its, typ, name, parent, True)
805 if interface:
806 return InterfaceCast(interface)(itool)
807 else:
808 return iAlgTool(name, itool)
809
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:93
GaudiPython.Bindings.iToolSvc.create
def create(self, typ, name=None, parent=None, interface=None)
Definition: Bindings.py:801
GaudiPython.Bindings.iAlgTool
Definition: Bindings.py:461

def GaudiPython.Bindings.iToolSvc.release | ( |  | self,
|  |  | itool
| ) |  |

Definition at line 810 of file Bindings.py.

810 def release(self, itool):
811 if type(itool) is iAlgTool:
812 self._its.releaseTool(itool._itool)
813
814 # ----iJopOptSvc class---------------------------------------------------------
815
816
gaudirun.type
type
Definition: gaudirun.py:133
GaudiPython.Bindings.iToolSvc.release
def release(self, itool)
Definition: Bindings.py:810

def GaudiPython.Bindings.iToolSvc.retrieve | ( |  | self,
|  |  | name
| ) |  |

Definition at line 798 of file Bindings.py.

798 def retrieve(self, name):
799 return iAlgTool(name, self._retrieve(name, quiet=False))
800
GaudiPython.Bindings.iToolSvc._retrieve
def _retrieve(self, name, quiet=True)
Definition: Bindings.py:778
GaudiPython.Bindings.iToolSvc.retrieve
def retrieve(self, name)
Definition: Bindings.py:798
GaudiPython.Bindings.iAlgTool
Definition: Bindings.py:461

## Member Data Documentation

GaudiPython.Bindings.iToolSvc.OutputLevel

Definition at line 781 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py